unit Setup;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Spin, ExtCtrls, ComCtrls;

type
  TSetupDlg = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    ComboBox1: TComboBox;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Label3: TLabel;
    SpinEdit2: TSpinEdit;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  SetupDlg: TSetupDlg;

implementation

uses MainUnit;

{$R *.DFM}

procedure TSetupDlg.FormShow(Sender: TObject);
Var X : Integer;
begin
  SpinEdit1.Value:=MainForm.SetupData.FontSize;
  For X:=0 to MainForm.SetupData.WindowSetupCount-1 do ComboBox1.Items.Add(MainForm.SetupData.WindowSetup[X].Name);
  ComboBox1.ItemIndex:=ComboBox1.Items.IndexOf(MainForm.SetupData.DebugSet);
  If MainForm.SetupData.StrictTable then RadioGroup1.ItemIndex:=1 else RadioGroup1.ItemIndex:=0;
  CheckBox1.Checked:=MainForm.SetupData.MemoryProtection;
  CheckBox2.Checked:=MainForm.SetupData.AutoInterruptHandling;
  CheckBox3.Checked:=MainForm.SetupData.SingleMemory1;
  CheckBox4.Checked:=MainForm.SetupData.SingleMemory2;
  CheckBox5.Checked:=MainForm.SetupData.HighlightSyntax;
  SpinEdit2.Value:=MainForm.SetupData.SeriellStep;
end;

procedure TSetupDlg.BitBtn1Click(Sender: TObject);
begin
  MainForm.SetupData.FontSize:=SpinEdit1.Value;
  MainForm.SetupData.DebugSet:=ComboBox1.Items[ComboBox1.ItemIndex];
  MainForm.SetupData.StrictTable:=(RadioGroup1.ItemIndex=1);
  MainForm.SetupData.MemoryProtection:=CheckBox1.Checked;
  MainForm.SetupData.AutoInterruptHandling:=CheckBox2.Checked;
  MainForm.SetupData.SingleMemory1:=CheckBox3.Checked;
  MainForm.SetupData.SingleMemory2:=CheckBox4.Checked;
  MainForm.SetupData.HighlightSyntax:=CheckBox5.Checked;
  MainForm.SetupData.SeriellStep:=SpinEdit2.Value;
end;

end.
